<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.fjhx.mapper.material.MaterialExMapper">

    <select id="getPage" resultType="java.util.LinkedHashMap">
        select m.id,
               m.type,
               m.classify_id           classifyId,
               m.code,
               m.name,
               me.spec,
               me.safety_stock         safetyStock,
               m.unit,
               me.cycle,
               me.quality_testing_rate qualityTestingRate,
               me.coiled,
               me.loss,
               m.introduce
        from material m
                 left join material_ex me on m.id = me.id
            ${ew.customSqlSegment}
    </select>
</mapper>
